package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 主页工作台配置对象 indexconfig
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public class Indexconfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 工作台图标 */
    @Excel(name = "工作台图标")
    private String indexIcon;

    /** 工作台描述 */
    @Excel(name = "工作台描述")
    private String indexInfo;

    /** 工作台类型 */
    @Excel(name = "工作台类型")
    private Long indexType;

    /** 完善服务信息提示文本 */
    @Excel(name = "完善服务信息提示文本")
    private String perfectService;

    /** 删除标志 */
    private Long delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setIndexIcon(String indexIcon) 
    {
        this.indexIcon = indexIcon;
    }

    public String getIndexIcon() 
    {
        return indexIcon;
    }
    public void setIndexInfo(String indexInfo) 
    {
        this.indexInfo = indexInfo;
    }

    public String getIndexInfo() 
    {
        return indexInfo;
    }
    public void setIndexType(Long indexType) 
    {
        this.indexType = indexType;
    }

    public Long getIndexType() 
    {
        return indexType;
    }
    public void setPerfectService(String perfectService) 
    {
        this.perfectService = perfectService;
    }

    public String getPerfectService() 
    {
        return perfectService;
    }
    public void setDelFlag(Long delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("indexIcon", getIndexIcon())
            .append("indexInfo", getIndexInfo())
            .append("indexType", getIndexType())
            .append("perfectService", getPerfectService())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
